import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';

import { ConfigModule } from '@nestjs/config';
import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ItemModel } from 'src/modules/item-related/item/data/models/item.model';
import { ItemModule } from 'src/modules/item-related/item/item.module';
import { ItemController } from './infrastructure/item.controller';
@Module({
  imports: [
    ConfigModule.forRoot(),
    TypeOrmModule.forFeature([ItemModel], CONNECTION_NAME.DEFAULT),
    ItemModule,
  ],
  controllers: [ItemController],
  providers: [],
})
export class BookingOrderModule {}
